Package org.gradle.api.credentials

# Interface PasswordCredentials

All Superinterfaces:
  `Credentials`

All Known Subinterfaces:
  `PasswordCredentials`

All Known Implementing Classes:
  `HttpBuildCacheCredentials`

public interface PasswordCredentials extends Credentials
A username/password credentials that can be used to login to something protected by a username and password.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getPassword()`
  Returns the password to use when authenticating.
  `@Nullable String`
  `getUsername()`
  Returns the user name to use when authenticating.
  `void`
  `setPassword(@Nullable String password)`
  Sets the password to use when authenticating.
  `void`
  `setUsername(@Nullable String userName)`
  Sets the user name to use when authenticating.

- ## Method Details

  - ### getUsername

    @Nullable String getUsername()
    Returns the user name to use when authenticating.
    Returns:
      The user name. May be null.

  - ### setUsername

    void setUsername(@Nullable String userName)
    Sets the user name to use when authenticating.
    Parameters:
      `userName` - The user name. May be null.

  - ### getPassword

    @Nullable String getPassword()
    Returns the password to use when authenticating.
    Returns:
      The password. May be null.

  - ### setPassword

    void setPassword(@Nullable String password)
    Sets the password to use when authenticating.
    Parameters:
      `password` - The password. May be null.